/*
 ============================================================================
 Name        : Final Project
 Author      : Carlos R. Huezo
 Version     :
 Copyright   : Your copyright notice
 Description : Hello World in C, Ansi-style
 ============================================================================
 */

#ifndef MODULE
#define MODULE
#endif

#ifndef __KERNEL__
#define __KERNEL__
#endif

#include <linux/module.h>
#include <linux/kernel.h>
#include <asm/io.h>
#include <rtai.h>
#include <rtai_lxrt.h>
#include <rtai_sched.h>
#include <rtai_fifos.h>

MODULE_LICENSE("GPL");


RT_TASK myTask;
RTIME period;

int init_module(void){

	//offset ports  for ADC
	//take in signal from socket
	//broadcast the audio to the ADC to hear the sample
	

	return 0;
}
//clean up function
void cleanup_module(void){

	//stop the rt_timer and kill the task
	stop_rt_timer();
	rt_task_delete(&myTask);

}

